org.apache.ignite.internal.management.performancestatistics

## Class PerformanceStatisticsCommand

- java.lang.Object
- - org.apache.ignite.internal.management.api.CommandRegistryImpl
  - - org.apache.ignite.internal.management.performancestatistics.PerformanceStatisticsCommand

All Implemented Interfaces:
  Command, CommandsRegistry

    public class PerformanceStatisticsCommand
    extends CommandRegistryImpl

Command to manage performance statistics.

### Nested Class Summary

Nested Classes
`static class` `PerformanceStatisticsCommand.PerformanceStatisticsRotateCommandArg`
`static class` `PerformanceStatisticsCommand.PerformanceStatisticsStartCommandArg`
`static class` `PerformanceStatisticsCommand.PerformanceStatisticsStatusCommandArg`
`static class` `PerformanceStatisticsCommand.PerformanceStatisticsStopCommandArg`

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`PerformanceStatisticsCommand()`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.management.api.CommandRegistryImpl

`command, commands, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.CommandsRegistry

`argClass, description`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### PerformanceStatisticsCommand

    public PerformanceStatisticsCommand()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023